## itsol 1.0.0

=== debian/changelog ===
itsol (1.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes necessary)
  * Bump compat level to 8
  * Added vcs fields
  * Updated email address

 -- Dominique Belhachemi <domibel@debian.org>  Wed, 21 Sep 2011 22:23:46 -0400

itsol (1.0.0-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Initial release (Closes: #498646)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 02 Apr 2010 14:25:29 -0400
