=== debian/control ===
Source: itsol
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 8), quilt, gfortran, liblapack-dev, cmake
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/itsol/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/itsol/trunk/
Section: libs
Homepage: http://www-users.cs.umn.edu/~saad/software/ITSOL/


Package: libitsol-dev
Section: libdevel
Architecture: any
Depends: libitsol1 (= ${binary:Version}), ${misc:Depends}
Description: ITerative SOLvers - devel
 ITSOL is a library of iterative solvers for general sparse linear systems of
 equations. ITSOL can be viewed as an extension of the itsol module in SPARSKIT.
 It is written in C and offers a selection of recently developed
 preconditioners. The preconditioner suite includes:
 .
   * ILUK (ILU preconditioner with level of fill)
   * ILUT (ILU preconditioner with threshold)
   * ILUC (Crout version of ILUT)
   * VBILUK (variable block preconditioner with level of fill - with automatic
     block detection)
   * VBILUT (variable block preconditioner with threshold - with automatic
     block detection)
   * ARMS (Algebraic Recursive Multilevel Solvers -- includes actually several
     methods - In particular the standard ARMS and the ddPQ version which uses
     nonsymmetric permutations)
 .
 Note that ITSOL is a scalar package. You may find parallel implentations of
 some of the preconditioners listed above in pARMS.
 .
 This package provides the itsol header files required to compile C/C++ programs
 that use ITSOL.


Package: libitsol1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ITerative SOLvers - runtime
 ITSOL is a library of iterative solvers for general sparse linear systems of 
 equations. ITSOL can be viewed as an extension of the itsol module in SPARSKIT. 
 It is written in C and offers a selection of recently developed
 preconditioners. The preconditioner suite includes:
 .
   * ILUK (ILU preconditioner with level of fill)
   * ILUT (ILU preconditioner with threshold)
   * ILUC (Crout version of ILUT)
   * VBILUK (variable block preconditioner with level of fill - with automatic
     block detection)
   * VBILUT (variable block preconditioner with threshold - with automatic
     block detection)
   * ARMS (Algebraic Recursive Multilevel Solvers -- includes actually several
     methods - In particular the standard ARMS and the ddPQ version which uses
     nonsymmetric permutations) 
 .
 Note that ITSOL is a scalar package. You may find parallel implentations of
 some of the preconditioners listed above in pARMS.
