=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=itsol

DEB_SOURCE_PACKAGE:=$(PACKAGE)
include /usr/share/quilt/quilt.make

STATIC_BUILD_PATH = DEB_build_static
SHARED_BUILD_PATH = DEB_build_shared


# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

get-orig-source:
	. debian/get-orig-source

CMAKE_FLAGS = -DCMAKE_INSTALL_PREFIX:PATH=/usr \
              -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
              -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
              -DCMAKE_SKIP_RPATH:BOOL=ON \
              -DBUILD_TESTING:BOOL=OFF


configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	if [ ! -d $(STATIC_BUILD_PATH) ]; then mkdir $(STATIC_BUILD_PATH); fi
	cd $(STATIC_BUILD_PATH) \
            && cmake .. $(CMAKE_FLAGS) -DBUILD_SHARED_LIBS:BOOL=OFF
	cd $(STATIC_BUILD_PATH) \
            && cmake .. $(CMAKE_FLAGS) -DBUILD_SHARED_LIBS:BOOL=OFF

	if [ ! -d $(SHARED_BUILD_PATH) ]; then mkdir $(SHARED_BUILD_PATH); fi
	cd $(SHARED_BUILD_PATH) \
	    && cmake $(CURDIR) $(CMAKE_FLAGS) -DBUILD_SHARED_LIBS:BOOL=ON
	cd $(SHARED_BUILD_PATH) \
	    && cmake $(CURDIR) $(CMAKE_FLAGS) -DBUILD_SHARED_LIBS:BOOL=ON

	touch $@


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

        # build static libs
	$(MAKE) $(JOBS) -C $(STATIC_BUILD_PATH)

	# build shared libs and binaries
	$(MAKE) $(JOBS) -C $(SHARED_BUILD_PATH)

	# build tests
#	cd TESTS_HB \
#              && make all
#	cd TESTS_COO \
#              && make all


	# run tests
#	cd TESTS_HB \
#              && chmod 755 runall
#	cd TESTS_HB \
#              && ./runall
#	cd TESTS_COO \
#              && ./runall



	touch $@

clean: clean-patched unpatch

clean-patched: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf $(STATIC_BUILD_PATH)
	rm -rf $(SHARED_BUILD_PATH)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp        install -C $(STATIC_BUILD_PATH)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp/shared install -C $(SHARED_BUILD_PATH)
	dh_install -plibitsol-dev    usr/lib/libitsol.a   usr/lib
	dh_install -plibitsol-dev    LIB/globheads.h             usr/include/itsol
	dh_install -plibitsol-dev    LIB/defs.h                  usr/include/itsol
	dh_install -plibitsol-dev    LIB/protos.h                usr/include/itsol
	dh_install -plibitsol-dev    ios.h                       usr/include/itsol
	dh_install -plibitsol-dev    shared/usr/lib/libitsol.so         usr/lib
	dh_install -plibitsol1       shared/usr/lib/libitsol.so.1       usr/lib
	dh_install -plibitsol1       shared/usr/lib/libitsol.so.1.0.0   usr/lib


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
